> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get stock/index quote

> Get a stock or index quote from Google Finance.



## OpenAPI

````yaml GET /v1/google/finance/quote
openapi: 3.1.0
info:
  title: ScrapeBadger Google Scraper
  description: >-
    Dedicated API for scraping Google products (SERP, Maps, News, Hotels,
    Trends, Jobs, Shopping, Patents, Scholar, Autocomplete, Images, Videos,
    Finance, AI Mode, Lens, Products).
  version: 1.0.0
servers:
  - url: https://scrapebadger.com
    description: Production
security:
  - apiKeyAuth: []
paths:
  /v1/google/finance/quote:
    get:
      tags:
        - Google Finance
      summary: Get Google Finance stock quote
      description: Get a stock or index quote from Google Finance.
      operationId: get_finance_quote_api_v1_finance_quote_get
      parameters:
        - name: q
          in: query
          required: true
          schema:
            type: string
            description: >-
              Stock ticker and exchange (e.g. "AAPL:NASDAQ", "GOOGL:NASDAQ",
              "BTC-USD")
            title: Q
          description: >-
            Stock ticker and exchange (e.g. "AAPL:NASDAQ", "GOOGL:NASDAQ",
            "BTC-USD")
        - name: hl
          in: query
          required: false
          schema:
            type: string
            description: Language code
            default: en
            title: Hl
          description: Language code
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FinanceQuoteResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FinanceQuoteResponse:
      properties:
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        stock:
          anyOf:
            - type: string
            - type: 'null'
          title: Stock
        exchange:
          anyOf:
            - type: string
            - type: 'null'
          title: Exchange
        price:
          anyOf:
            - type: number
            - type: 'null'
          title: Price
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        price_movement:
          anyOf:
            - $ref: '#/components/schemas/PriceMovement'
            - type: 'null'
        stats:
          $ref: '#/components/schemas/FinanceStats'
      type: object
      title: FinanceQuoteResponse
      description: Response for GET /api/v1/finance/quote.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PriceMovement:
      properties:
        percentage:
          anyOf:
            - type: number
            - type: 'null'
          title: Percentage
        value:
          anyOf:
            - type: number
            - type: 'null'
          title: Value
        direction:
          anyOf:
            - type: string
            - type: 'null'
          title: Direction
      type: object
      title: PriceMovement
      description: Price movement data.
    FinanceStats:
      properties:
        prev_close:
          anyOf:
            - type: string
            - type: 'null'
          title: Prev Close
        day_range:
          anyOf:
            - type: string
            - type: 'null'
          title: Day Range
        year_range:
          anyOf:
            - type: string
            - type: 'null'
          title: Year Range
        market_cap:
          anyOf:
            - type: string
            - type: 'null'
          title: Market Cap
        pe_ratio:
          anyOf:
            - type: string
            - type: 'null'
          title: Pe Ratio
      type: object
      title: FinanceStats
      description: Key financial statistics.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````